<html>
<body style="background-color: #4c4c4c;">
  <div id="imGeocoding" style="text-align: center; font-size: 25px; color: #fff;">I am geocoding</div>
  <br>
  <div id="percent" style="text-align: center; font-size: 25px; color: #fff;"></div>
  <div id="hidden_form_container" style="display:none;"></div>
<?php
  $startnum = file_get_contents('https://thegreatkindnesschallenge.com/wp-content/uploads/2017/map/startnumber.txt');
  $start = $startnum;
  $end = $start+10;
  file_put_contents('startnumber.txt', $end);
  $csv = file_get_contents('https://thegreatkindnesschallenge.com/wp-content/uploads/2017/map/17501-20000.csv');
  $locations = explode("\n", $csv);
  for($i=0; $i<count($locations); $i++)
  {
    $location[$i] = preg_split( '/(schoolname\:\,)|(\,schooladdress\:\,")|("\,numberofstudents\:\,)|(\,registrationdate\:\,)/', $locations[$i]);
  }
?>
  <div id="locations" style="display: none;">
    <?php
      for($i=$start; $i<$end; $i++)
      {
        echo trim($location[$i][1])." ";//school name
        echo trim($location[$i][2])."\n";//school address
      }
    ?>
  </div>
  <div id="markerInfo" style="display: none;">
    <?php
      for($i=$start; $i<$end; $i++)
      {
        echo "Students participating: ".trim($location[$i][3]).", ";//students
        echo "Registration date: ".trim($location[$i][4]).", ";//date
        echo "School Address: ".trim($location[$i][2]).", ";//school address
        echo "School Name: ".trim($location[$i][1])."\n";//school name
      }
    ?>
  </div>
  <div id="map"></div>
  <div id="coords">
  </div>
<script type="application/javascript">
  var locations = document.getElementById('locations').innerHTML;//students date addres name
  var loc = locations.split("\n");//address name\n
  var markerinfos = document.getElementById('markerInfo').innerHTML;
  var markerInfo = markerinfos.split("\n");
  var geocoder;
  var google;
  var locAmount = loc.length;
  var locID = 1;
  var pause = 3000;
  var coords, coord, coordLat, coordLng;


  function initMap(country, minfo)
  {
  console.log("id: "+locID+"amount"+locAmount);
    geocoder = new google.maps.Geocoder();
    var address = country;
    var mainfo = minfo;
    map = new google.maps.Map(document.getElementById('map'), {
      zoom: 3,
      center: {lat: 30, lng: 0}
    });
    geocoder.geocode( { 'address': address}, function(results, status){
      if(status == google.maps.GeocoderStatus.OK)
      {
        document.getElementById('percent').innerHTML="[ "+(locID)+" % ]";
        coords = results[0].geometry.location;//(23.3453, 21.34634)
        coordString = coords.toString();
        coord = coordString.split(/\, /);
        coordLat = "lat: "+coord[0].substr(1);//lat: 23.436346
        coordLng = "lng: "+coord[1].substring(0, coord[1].length-1);//lng: 23.346346
        document.getElementById('coords').innerHTML+=coordLat+", "+coordLng+",\n"+mainfo+"<br>";
        locID = locID+1;
      }
      else if (status == google.maps.GeocoderStatus.OVER_QUERY_LIMIT)
      {
        console.log(status);
        pause = pause+1000;
        console.log(pause);
        setTimeout(function(){initMap(loc[locID], markerInfo[locID]);},pause);
      }
      else if (status == google.maps.GeocoderStatus.ZERO_RESULTS)
      {
        console.log(status);
        locID = locID+1;
      }
      else if (status == google.maps.GeocoderStatus.REQUEST_DENIED)
      {
        console.log(status);
        locID = locID+1;
      }
      else if (status == google.maps.GeocoderStatus.INVALID_REQUEST)
      {
        console.log(status);
        locID = locID+1;
        /*pause = pause+1000;
        setTimeout(function(){initMap(loc[locID]);},pause);*/
      }
      else if (status == google.maps.GeocoderStatus.UNKNOWN_ERROR)
      {
        console.log(status);
        locID = locID+1;
      }
      if (locID==locAmount-1)
      {
        console.log("saved");
        setTimeout(save, 1000);
      }
    });
  }
  window.onload=function(){initMap(loc[1], markerInfo[1]);initMap(loc[2], markerInfo[2]);initMap(loc[3], markerInfo[3]);initMap(loc[4], markerInfo[4]);initMap(loc[5], markerInfo[5]);initMap(loc[6], markerInfo[6]);initMap(loc[7], markerInfo[7]);initMap(loc[8], markerInfo[8]);initMap(loc[9], markerInfo[9]);initMap(loc[10], markerInfo[10]);};

/*
initMap(loc[11]);initMap(loc[12]);initMap(loc[13]);initMap(loc[14]);initMap(loc[15]);initMap(loc[16]);initMap(loc[17]);initMap(loc[18]);initMap(loc[19]);initMap(loc[20]);initMap(loc[21]);initMap(loc[22]);initMap(loc[23]);initMap(loc[24]);initMap(loc[25]);initMap(loc[26]);initMap(loc[27]);initMap(loc[28]);initMap(loc[29]);initMap(loc[30]);initMap(loc[31]);initMap(loc[32]);initMap(loc[33]);initMap(loc[34]);initMap(loc[35]);initMap(loc[36]);initMap(loc[37]);initMap(loc[38]);initMap(loc[39]);initMap(loc[40]);initMap(loc[41]);initMap(loc[42]);initMap(loc[43]);initMap(loc[44]);initMap(loc[45]);initMap(loc[46]);initMap(loc[47]);initMap(loc[48]);initMap(loc[49]);initMap(loc[50]);initMap(loc[51]);initMap(loc[52]);initMap(loc[53]);initMap(loc[54]);initMap(loc[55]);initMap(loc[56]);initMap(loc[57]);initMap(loc[58]);initMap(loc[59]);initMap(loc[60]);initMap(loc[61]);initMap(loc[62]);initMap(loc[63]);initMap(loc[64]);initMap(loc[65]);initMap(loc[66]);initMap(loc[67]);initMap(loc[68]);initMap(loc[69]);initMap(loc[70]);initMap(loc[71]);initMap(loc[72]);initMap(loc[73]);initMap(loc[74]);initMap(loc[75]);initMap(loc[76]);initMap(loc[77]);initMap(loc[78]);initMap(loc[79]);initMap(loc[80]);initMap(loc[81]);initMap(loc[82]);initMap(loc[83]);initMap(loc[84]);initMap(loc[85]);initMap(loc[86]);initMap(loc[87]);initMap(loc[88]);initMap(loc[89]);initMap(loc[90]);initMap(loc[91]);initMap(loc[92]);initMap(loc[93]);initMap(loc[94]);initMap(loc[95]);initMap(loc[96]);initMap(loc[97]);initMap(loc[98]);initMap(loc[99]);initMap(loc[100]);
*/

  function save(){
    var to_save = document.getElementById("coords").innerHTML;
    /*var lats = to_save.match(/lat: .\d+\.\d+/);
    var lngs = to_save.match(/lng: .\d+\.\d+/);
    var students = to_save.match(/Students participating: \d+/);//Students participating: 450
    var dates = to_save.match(/Registration date: \d+\/\d+\/\+d/);//Registration date: 11/23/2017
    var addresses = to_save.match(/School Address: .+\, School Name: /);
    var names = to_save.match(/ School Name: .+/);*/
   
    var theForm, textarea;
    theForm = document.createElement('form');
    theForm.action = 'cords.php';
    theForm.method = 'post';
    textarea = document.createElement('textarea');
    textarea.type = 'hidden';
    textarea.name = 'textarea';
    textarea.value = to_save;
    theForm.appendChild(textarea);
    document.getElementById('hidden_form_container').appendChild(theForm);
    theForm.submit();
    //AIzaSyC_UVMMEuN2dtXW2lHbKqoTKae68dOGITM
    //AIzaSyCisLfl0lL3N4zXYNuGmzfoWjtKM5z5OIA
  }
</script>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBza7k_nOONQArlsTL6paUrHy0RGsSZohI">
  </script>
<script>
/*var xy = 3000;
for(x=1; x<=100; x++){
if(xy>0)setTimeout(initMap(loc[1]), xy-=10);
else initMap(loc[1]);
}*/

</script>
</body>
</html>