<?php
    ini_set('display_errors', 1);					//
    ini_set('display_startup_errors', 1);           // wyświetlanie błędów
    error_reporting(E_ALL);
    header('Content-Type: application/json');
    $csv = array_map('str_getcsv', file('raport.csv'));
//    print_r ($csv);

    $raport = [];
    foreach ($csv as $location) {
        if (trim($location[2]))
            $address = trim($location[0]).', '.trim($location[4]).', '.trim($location[3]).', '.trim($location[2]);
        else
            $address = trim($location[0]).', '.trim($location[4]).', '.trim($location[3]);
        $raport[] = array (
            'name' => trim($location[0]),
            'students' => trim($location[1]),
            'country' => trim($location[2]),
            'state_province' => trim($location[3]),
            'city' => trim($location[4]),
            'address' => $address
        );
    }
//    print_r ($raport[0]['address']);

//    geocode($raport[1]['address']);
    $geocoded = [];
    for ($i = 23500; $i < 24000; $i++) {
        $geocoded[] = geocode($raport[$i]['address'], $raport[$i]['name'], $raport[$i]['students']);
    }

    print_r ($geocoded);

    file_put_contents('geocoded45.json', json_encode($geocoded));

    function geocode($address, $name, $students){

        // url encode the address
        $address = urlencode($address);

        // google map geocode api url
        $url = "https://maps.googleapis.com/maps/api/geocode/json?address=".$address."&key=AIzaSyAaqX4vZ5WwEJJkVzd1mr-YMGOg70tXnBQ";

        // get the json response
        $resp_json = file_get_contents($url);
        // decode the json
        $resp = json_decode($resp_json, true);
//        print_r ($resp_json);

        // response status will be 'OK', if able to geocode given address
        if($resp['status']=='OK'){

            // get the important data
            $lati = isset($resp['results'][0]['geometry']['location']['lat']) ? $resp['results'][0]['geometry']['location']['lat'] : "";
            $longi = isset($resp['results'][0]['geometry']['location']['lng']) ? $resp['results'][0]['geometry']['location']['lng'] : "";
            $formatted_address = isset($resp['results'][0]['formatted_address']) ? $resp['results'][0]['formatted_address'] : "";

            // verify if data is complete
            if($lati && $longi && $formatted_address){

                // put the data in the array
                $data_arr = array(
                    'name' => $name,
                    'address' => $formatted_address,
                    'students' => $students,
                    'lat' => $lati,
                    'lng' => $longi
                );

                return $data_arr;

            }else{
                return false;
            }

        }

        else{
            echo "<strong>ERROR:".$resp['status']."</strong>";
            return false;
        }
    }

//    file_put_contents('final-report.json', json_encode($raport),FILE_APPEND);
