<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="style.css">
    </head>
    <body>
        <?php
            $rows   = array_map(function($v){return str_getcsv($v, ";");}, file('school.csv'));
            $header = array_shift($rows);
            $csv    = array();
            foreach($rows as $row) {
                $csv[] = array_combine($header, $row);
            }
        ?>

        <div class="searchBar">
            <input id="pac-input" class="controls searchBar" type="text" placeholder="City">
            <input id="searchInput" type="text" style="display:none;">
        </div>
        
        <div id="counter"><b>Number of schools: <?php print count($csv);?></b></div>
        
        <div id="map"></div>
        
        <script src="mapScript.js"></script>
        <script src="marker.js"></script>
        <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBza7k_nOONQArlsTL6paUrHy0RGsSZohI&libraries=places">
        </script>
    </body>
</html>
